package com.xunhong.erp.turbo.api.facade.api;

import com.xunhong.erp.turbo.api.facade.dto.cmd.WxMaCallbackCmd;
import com.xunhong.erp.turbo.api.facade.dto.qry.WxMaOpenidQry;
import com.xunhong.erp.turbo.api.facade.dto.qry.WxMaPhoneQry;
import com.xunhong.erp.turbo.api.facade.dto.vo.WxMaOcrBankCardVO;
import com.xunhong.erp.turbo.api.facade.dto.vo.WxMaOcrIdCardVO;
import com.xunhong.erp.turbo.api.facade.dto.vo.WxMaOpenidVO;

public interface WxMaServiceI {

	String callback(WxMaCallbackCmd wxMaCallbackCmd);

	WxMaOpenidVO getOpenId(WxMaOpenidQry wxMaOpenidQry);

	String getPhone(WxMaPhoneQry wxMaPhoneQry);

	WxMaOcrIdCardVO ocrIdCard(String ocrUrl);

	WxMaOcrBankCardVO ocrBankCard(String ocrUrl);
}
